关于Apache Tomcat Connectors mod_jk信息泄露漏洞(CVE-2023-41081)预警提示

发布时间:2023-09-18浏览次数:244

一、漏洞详情

mod_jk(也称为JK)是Apache服务器和Tomcat应用服务器之间的一个连接器,用于在两者之间传递请求和响应。

近日,监测到Apache Tomcat连接器 mod_jk中存在一个信息泄露漏洞(CVE-2023-41081)。Apache Tomcat连接器 mod_jk版本1.2.0 - 1.2.48中,在某些情况下,mod_jk将使用隐式映射并将请求映射到第一个定义的Worker(工作进程/线程)。这种隐式映射可能会导致意外暴露状态Worker或绕过httpd中配置的安全约束。

建议受影响用户做好资产自查以及预防工作,以免遭受黑客攻击。

二、影响范围

Apache Tomcat连接器 mod_jk 版本:1.2.0 - 1.2.48

三、修复建议

目前该漏洞已经修复,受影响用户可升级到以下版本:

Apache Tomcat连接器 mod_jk 版本:>= 1.2.49